using System;
using System.Data;
using bizFacade;
using MesServerWork;
//using SystemFramework;


namespace MesServerFunctions
{
    partial class FunctionMES
    {
        /// <summary>
        /// 工件到位与离开时，清空MES自身信号
        /// </summary>
        /// <param name="OpName"></param>
        /// <param name="tagValue"></param>
        private void WorkStart(object e)
        {
            DoWhatPlc.CustomeEvetnArgs msgEvent = (DoWhatPlc.CustomeEvetnArgs)e;
            string OpName = Convert.ToString(msgEvent.OpName);
            int tagValue = Convert.ToInt32(msgEvent.TagValue);

            int EngineTypeID;//机型代码
            string EngineType;//机型
            string EngineID;//工件编号

            string OrderForm;
            //线首显示订单信息
            if (tagValue == 1)
            {
            }
            else
            {
                BaseDataSystemMES.OpName_MIS_MOBY_Insert(OpName, MobyTagType.WorkStartOut, DateTime.Now.ToString());
                MIS_BASE.Write_MesReadOver(OpName, false);
                MIS_BASE.Write_ConfirmOkGo(OpName, false);
                MIS_BASE.Write_FixAllow(OpName, false);
                MIS_BASE.Write_EngineTypeGetOver_MES(OpName, false);
                //工作完成
                MIS_BASE.Write_MaterialVerifyOver(OpName, false);
            }
        }
    }
}
